<!--  
 * This file is part of the SecureFlag Platform.
 * Copyright (c) 2020 SecureFlag Limited.
 * 
 * This program is free software: you can redistribute it and/or modify  
 * it under the terms of the GNU General Public License as published by  
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 -->
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="SecureFlag">
<title>SecureFlag - Change Password</title>
<link rel="icon" type="image/png" sizes="96x96"
	href="/assets/img/favicon-96x96.png">
<link href="/assets/css/lib.css" rel="stylesheet">
<link href="/assets/css/style.css" rel="stylesheet">
</head>
<body>
	<div>
		<!-- Fixed navbar -->
		<div class="navbar navbar-default navbar-fixed-top maxHeight60 sfNavbarN"
		role="navigation">
		<div>
			<div class="pull-left">
				<img src="/assets/img/sfhn.png" class="sfNavbarLogo"/><span class="sfce">CE</span>
			</div>
			
		</div>
	</div>
		<div class="sfservice">
			<div class="container">
				<div ng-app="sfNg">
					<div class="marginTop30VH ng-cloak" id="settings"
						ng-controller="settings">
						<h2 class="eblue left ">Change Password</h2>
						<form autocomplete="off" class="left" name="userPasswordForm"
							novalidate>
							
							<div class="row ">
								<div class="col-md-3">
									<h5>Old Password</h5>
									<input autocomplete="off" class="fInput" name="oldPassword"
										required ng-model="settings.oldPassword" type="password">
								</div>
								<div class="col-md-3">
									<h5>New Password</h5>
									<input autocomplete="off" complex-password name="newPassword"
										class="fInput" required type="password"
										ng-model="settings.newPassword">
									<div
										ng-show="!userPasswordForm.$pristine && !userPasswordForm.newPassword.$valid">Use
										at least 8 characters including three of four groups in:
										numbers, symbols, capital letters, and lower-case letters.</div>
								</div>
								<div class="col-md-3">
									<h5>Repeat New Password</h5>
									<input autocomplete="off" class="fInput" type="password"
										name="newPasswordRepeat" ng-model="settings.newPasswordRepeat"
										required compare-to="settings.newPassword" />
									<div
										ng-show="!userPasswordForm.$pristine && !userPasswordForm.newPasswordRepeat.$valid">These
										password don't match. Try again?</div>
								</div>
							</div>
							
							<div class="row marginTop20">
								<div class="col-md-3">
									<button type="button"
										ng-disabled="userPasswordForm.$error.required || !userPasswordForm.newPasswordRepeat.$valid || !userPasswordForm.newPassword.$valid"
										ng-click="updateUserPassword()" class="btn btn-primary">Change</button>
								</div>
							</div>
							<div ng-show="updateFailed">
								<p class="lead red">Update failed, please try again.</p>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
		<!-- *****************************************************************************************************************
	 FOOTER
	 ***************************************************************************************************************** -->
	<div id="sffooter" class="sfFooterN ">
		<div class="marginLeft10">
			<a class="sfFooterLink" href="mailto:community@secureflag.com">community@secureflag.com</a>
		</div>
		<div class="marginRight10 hideCollapsed">
			<p class="sfFooterLink">© 2020 SecureFlag</p>
		</div>

	</div>
	</div>
	<script src="/assets/js/jquery.min.js"></script>
	<script src="/assets/js/bootstrap.min.js"></script>
	<script src="/assets/js/angular.min.js"></script>
	<script src="/assets/js/changePassword.js"></script>

</body>
</html>